Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.validator.metadata
Interface ValidatorDescription

All Known Implementing Classes:
  AbstractFieldValidatorDescription, ConversionErrorFieldValidatorDescription, DateRangeFieldValidatorDescription, DoubleRangeFieldValidatorDescription, EmailValidatorDescription, ExpressionValidatorDescription, FieldExpressionValidatorDescription, IntRangeFieldValidatorDescription, RequiredFieldValidatorDescription, RequiredStringValidatorDescription, StringLengthFieldValidatorDescription, URLValidatorDescription, VisitorFieldValidatorDescription

    public interface ValidatorDescription

`ValidatorDescription`

Version:
  $Id: ValidatorDescription.java 894090 2009-12-27 18:18:29Z martinc $
Author:
  Rainer Hermanns

Method Summary
`java.lang.String` | `asXml()` Returns the validator XML definition.
`java.lang.String` | `getFieldName()` Returns the field name to create the validation rule for.
`boolean` | `isSimpleValidator()`
`void` | `setKey(java.lang.String key)` Sets the I18N message key.
`void` | `setMessage(java.lang.String message)` Sets the default validator failure message.
`void` | `setShortCircuit(boolean shortCircuit)` Set the shortCircuit flag.

Method Detail

### asXml

    java.lang.String asXml()

  Returns the validator XML definition.

  Returns:
    the validator XML definition.

### getFieldName

    java.lang.String getFieldName()

  Returns the field name to create the validation rule for.

  Returns:
    The field name to create the validation rule for

### setKey

    void setKey(java.lang.String key)

  Sets the I18N message key.

  Parameters:
    `key` - the I18N message key

### setMessage

    void setMessage(java.lang.String message)

  Sets the default validator failure message.

  Parameters:
    `message` - the default validator failure message

### setShortCircuit

    void setShortCircuit(boolean shortCircuit)

  Set the shortCircuit flag.

  Parameters:
    `shortCircuit` - the shortCircuit flag.

### isSimpleValidator

    boolean isSimpleValidator()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.